<?php get_header();
wp_reset_query(); ?>

<?php $SBS = get_field( 'book-section', 'options' ); ?>

<?php $special = new WP_Query( array(
	'post_type'      => 'books',
	'posts_per_page' => 4,
	'tax_query'      => array(
		array(
			'taxonomy' => 'sections',
			'field'    => 'id',
			'terms'    => $SBS,

		)
	)
) ); ?>
<?php if ( $special->have_posts() ) : ?>
    <section class="main-slider">
        <div class="container">
            <div class="row">
                <h4><?php the_field( 'special-books-title', 'options' ); ?></h4>
                <div id="carousel-example-generic" class="carousel slide carousel-fade" data-ride="carousel">

                    <div class="col-md-4 no-padding">
                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
							<?php while ( $special->have_posts() ) : $special->the_post(); ?>

                                <div class="item">
                                    <div class="row">
                                        <a href="<?php the_permalink(); ?>">
                                            <div class="col-xs-5">
												<?php echo get_the_post_thumbnail( $post->id, 'medium', array( 'class' => 'img-responsive main-thumb' ) ); ?>

                                                <p class="see-details"><i class="fa fa-book"></i> شاهد التفاصيل</p>
                                            </div>
                                            <div class="col-xs-7">

                                                <h1><?php the_title(); ?></h1>
												<?php the_excerpt(); ?>
                                            </div>
                                        </a>
                                    </div>

                                </div>
							<?php endwhile;
							wp_reset_query(); ?>
                        </div>
                    </div>
                    <div class="col-md-8 no-padding">
                        <!-- Indicators -->
                        <ol class="carousel-indicators">
							<?php $i = 0;
							while ( $special->have_posts() ) : $special->the_post(); ?>

                                <li data-target="#carousel-example-generic" data-slide-to="<?php echo $i ++; ?>">
									<?php echo get_the_post_thumbnail( $post->id, 'thumbnail' ); ?>
                                </li>
							<?php endwhile;
							wp_reset_query(); ?>


                        </ol>
                    </div>


                    <!-- Controls -->
                    <!--<div class="controlz">-->
                    <!--<a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">-->
                    <!--<span class="glyphicon glyphicon-menu-left"></span>-->
                    <!--</a>-->
                    <!--<a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">-->
                    <!--<span class="glyphicon glyphicon-menu-right"></span>-->
                    <!--</a>-->
                    <!--</div>-->
                </div>
            </div>
        </div>
    </section>

<?php endif; ?>

<section class="shelf">
    <div class="container">
        <h2 class="wow fadeInDown"><?php the_field( 'pick-title1', 'options' ); ?></h2>
        <h3 class="wow fadeInDown" data-wow-delay="0.4s"><?php the_field( 'pick-title2', 'options' ); ?></h3>
        <p class="wow fadeIn" data-wow-delay="0.8s"><?php the_field( 'pick-desc', 'options' ); ?></p>
        <div class="center">
            <img src="<?php the_field( 'pick-img', 'options' ); ?>" alt="" class="img-responsive center wow fadeInUp"
                 data-wow-duration="1.8s">
        </div>
    </div>
</section>

<?php //$ALLBOOKS = get_field( 'book-sec', 'options' ); ?>

<?php $books = new WP_Query( array(
	'post_type'      => 'books',
	'posts_per_page' => 40
//	'tax_query'      => array(
//		array(
//			'taxonomy' => 'sections',
//			'field'    => 'id',
//			'terms'    => $ALLBOOKS,
//
//		)
//	)
) ); ?>
<?php if ( $books->have_posts() ) : ?>
    <section class="books-section">
        <div class="container">
            <h4><?php the_field( 'books-title-1', 'options' ); ?></h4>
            <h3><?php the_field( 'books-title-2', 'options' ); ?></h3>
            <p><?php the_field( 'books-des', 'options' ); ?></p>
            <div class="books-slider">
				<?php while ( $books->have_posts() ) :
					$books->the_post(); ?>

                    <div class="single-book-item text-center">
                        <a href="<?php the_permalink(); ?>">
							<?php echo get_the_post_thumbnail( $post->id, 'medium' ); ?>
							<?php echo showRating( get_the_ID(), 'post-ratings' ); ?>
                            <p>حمله مجاناً</p>
                        </a>
                    </div>
				<?php endwhile;
				wp_reset_query(); ?>
            </div>
            <div class="center">
                <a href="" class="btn btn-bordered-yellow">تصفح كتبتي</a>
            </div>
        </div>
    </section>
<?php endif; ?>

<section class="books-features">
    <div class="container">
        <div class="row">
            <img src="<?php echo IMAGES; ?>/patt.png" alt="" class="pattern">
            <img src="<?php echo IMAGES; ?>/pad.png" alt="" class="tablet wow fadeInUp" data-wow-duration="1.8s">
            <div class="col-md-6 col-md-offset-6">
                <div class="center">
                    <h2 class="wow fadeInDown"><?php the_field( 'feat1', 'options' ); ?></h2>
                    <h3 class="wow fadeInDown" data-wow-delay="0.4s"><?php the_field( 'feat2', 'options' ); ?></h3>
                </div>
                <div class="row">
					<?php $i=0;while ( have_rows( 'features', 'options' ) ) : the_row(); ?>
                        <div class="col-sm-6">
                            <div class="single-serv wow zoomIn" data-wow-delay="0.<?php echo $i++; ?>s">
                                <div class="icon"><img src="<?php the_sub_field('feature-icon'); ?>" alt=""></div>
                                <p><?php the_sub_field('feature-text'); ?></p>

                            </div>
                        </div>
					<?php endwhile; ?>

                </div>
            </div>


        </div>

    </div>
</section>
<?php get_footer(); ?>


